<!-- -------------------- ./verif/cms_index.html -------------------- -->

<!DOCTYPE html>
<html lang="fr">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
  <meta name="ROBOTS" content="NOINDEX, NOFOLLOW" />

  <link rel="stylesheet" href="/pub/dsfr/dsfr.min.css" />
  <link rel="stylesheet" href="/pub/dsfr/utility/icons/icons.css" />
  <link rel="stylesheet" href="/pub/css/open-signature.css" />

  <title>Vérification de signature</title>

  <script type="module" src="/pub/dsfr/dsfr.module.min.js" defer></script>
  <script type="text/javascript" nomodule src="/pub/dsfr/dsfr.nomodule.min.js" defer></script>
</head>

<body class="os-wrapper">
  <header role="banner" class="fr-header os-header">
    <div class="fr-header__body">
      <div class="fr-header__body-row">
        <div class="fr-header__brand">
          <div class="fr-header__brand-top">
              <div class="fr-header__logo os-logo">
                <a href="/mgt/Apropos"><img src="/pub/img/logosig2--dark.png" alt="Logo Signature" /></a>
              </div>
            <div class="fr-header__navbar">
              <!--<button class="fr-btn--menu fr-btn" data-fr-opened="false" aria-controls="modal-main-menu" aria-haspopup="menu" title="Menu" id="fr-btn-menu-mobile">
                Menu
              </button>-->
            </div>
          </div>
          <div class="fr-header__service">
            <h1 class="fr-header__service-title"><?php echo $this->NAME; ?></h1>
            <p class="fr-header__service-tagline">
              Plateforme de Signature Gironde Numerique
            </p>
          </div>
        </div>
      </div>
    </div>
    <!-- Navigation principale, même si vide, le laisser pour éviter une erreur JS du DSFR -->
    <div class="fr-header__menu fr-modal" id="modal-main-menu" aria-labelledby="fr-btn-menu-mobile">
      <div class="fr-container">
        <button class="fr-btn--close fr-btn" aria-controls="modal-main-menu" title="Fermer">
          Fermer
        </button>
        <div class="fr-header__menu-links"></div>
        <nav class="fr-nav" id="navigation-main-menu" role="navigation" aria-label="Menu principal">
          <ul class="fr-nav__list"></ul>
        </nav>
      </div>
    </div>
  </header>

  <main class="fr-container fr-mt-15w">
    <div class="fr-grid-row fr-grid-row--center fr-grid-row--gutters">
      <div class="fr-col-12">

        <h2>Vérification de signature</h2>

        <p>
          Le formulaire ci-dessous permet de vérifier une signature électronique de type <b>CMS</b> <i>(Cryptographic Message Syntax)</i> fournie par la plateforme <a href="/"><b><?php echo $this->NAME; ?></b></a>.
        </p>
        <p>
          Vous devez fournir pour cela, le fichier original ainsi que le fichier de signature.
        </p>

        <hr>

        <div>
          <form novalidate="novalidate" id="frmverif" enctype="multipart/form-data" method="post" action="/vrf/DoVerifCMS" target="_top">
            <div class="fr-container">
              <div class="fr-grid-row fr-grid-row--center fr-grid-row--middle fr-grid-row--gutters">
                  <div class="fr-col-12 fr-col-md-6 fr-input-group fr-upload-group">
                    <label class="fr-label" for="FICORIG">Fichier original :</label>
                    <input class="fr-upload" type="file" name="FICORIG" id="FICORIG">
                  </div>
                  <div class="fr-col-12 fr-col-md-6 fr-input-group fr-upload-group">
                    <label class="fr-label" for="FICSIGN">Fichier signature (.cms) :</label>
                    <input class="fr-upload" type="file" name="FICSIGN" id="FICSIGN" accept=".cms">
                  </div>
                  <ul class="fr-col-12 fr-btns-group fr-btns-group--inline fr-btns-group--center fr-btns-group--icon-left">
                    <button class="fr-btn fr-icon-checkbox-line" type="submit">Vérifier</button>
                  </ul>
              </div>

            </div>
          </form>
        </div>

      </div>
    </div>
  </main>
</body>

</html>
